Announcement Announcement Module
Collapse
No announcement yet.
2.0.0.0.M5 spring-integration-xml dependency to spring-xml by error or on purpose? Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • 2.0.0.0.M5 spring-integration-xml dependency to spring-xml by error or on purpose?

    Hi,

    currently the spring-integration-xml pox.xml states a dependency to spring-xml (from spring-ws).

    Code:
    <dependency>
        <groupId>org.springframework.ws</groupId>
        <artifactId>spring-xml</artifactId>
        <version>${<dependency>
    			<groupId>org.springframework.ws</groupId>
    			<artifactId>spring-xml</artifactId>
    			<version>${org.springframework.ws.version}</version>
    		</dependency>}</version>
    </dependency>
    with: org.springframework.ws.version = 1.5.9

    I am curious if this dependency is really needed?

    It seems a little bit odd to me to depend on a jar with some "internal helper" classes from the webservice project.

    Should I open a JIRA issue for this?

  • #2
    The spring-xml project is much more than "internal helper classes" for Spring WS. There is quite a bit of XPath support there, and we are building on that extensively in Spring Integration's XML module. You can think of "spring-xml" as a sibling to "spring-oxm". The latter has now been moved into the Spring Framework itself, since it's so universally applicable. The same may happen for spring-xml at some point, but for now it's simply under the Spring-WS "umbrella".

    Hope that helps.
    -Mark

    Comment

    Working...
    X